import request from '@/utils/request'

// 查询模具实例管理列表
export function listMould(query) {
	return request({
		url: '/tpmMould/mould/list',
		method: 'get',
		params: query
	})
}

// 查询模具实例管理详细
export function getMould(id) {
	return request({
		url: '/tpmMould/mould/' + id,
		method: 'get'
	})
}

// 新增模具实例管理
export function addMould(data) {
	return request({
		url: '/tpmMould/mould',
		method: 'post',
		data: data
	})
}

// 修改模具实例管理
export function updateMould(data) {
	return request({
		url: '/tpmMould/mould',
		method: 'put',
		data: data
	})
}


/**查询模具型号名称
 * @param {Object} query
 */
export function getMouldBasic(query) {
	return request({
		url: '/tpmMould/mouldBasic/list',
		method: 'get',
		params: query
	})
}

// 删除模具实例管理
export function delMould(id) {
	return request({
		url: '/tpmMould/mould/' + id,
		method: 'delete'
	})
}